:root {
    --blue: #3490dc;
    --indigo: #6574cd;
    --purple: #9561e2;
    --pink: #f66d9b;
    --red: #e3342f;
    --orange: #f6993f;
    --yellow: #ffed4a;
    --green: #38c172;
    --teal: #4dc0b5;
    --cyan: #6cb2eb;
    --white: #fff;
    --gray: #6c757d;
    --gray-dark: #343a40;
    --primary: #3490dc;
    --secondary: #6c757d;
    --success: #38c172;
    --info: #6cb2eb;
    --warning: #ffed4a;
    --danger: #e3342f;
    --light: #f8f9fa;
    --dark: #343a40;
    --twitter: #00aeef;
    --facebook: #3a5998;
    --font_primary: #212529;
    --nav_gray: rgba(0, 0, 0, 0.6);
    --nav_black: rgba(0, 0, 0, 0.9);
    --smigiel_blue_dark: #004680;
    --smigiel_blue: #0092CE;
    --smigiel_blue_hover: #0080B3;
    --smigiel_blue_light: #86E3FF;
    --smigiel_orange: #F07C00;
    --smigiel_orange_hover: #cc6900;
    --smigiel_gray: #E8E8E8;
    --smigiel_gray_light: #E8E8E880;
}

body {
    color: var(--font_primary);
}

#head-top {
    background-color: white;
}

#app {
    background-color: var(--smigiel_gray_light);
}

.a,
.a:hover {
    color: var(--smigiel_orange);
    text-decoration: none;
    background-color: transparent;
}

.text-secondary {
    color: #6c757d !important;
}

.text-info a,
.text-info a:hover,
.text-info a:focus,
a.text-info:hover,
a.text-info:focus,
.text-info {
    color: var(--smigiel_blue) !important;
    text-decoration: none;
}

.navbar-light .navbar-nav .nav-link,
.navbar-light .navbar-text,
.navbar-light .navbar-toggler,
.navbar-nav .nav-link {
    color: white;
}

.navbar-light .navbar-brand,
.navbar-light .navbar-brand:hover,
.navbar-light .navbar-brand:focus,
.navbar-light .navbar-nav .active>.nav-link,
.navbar-light .navbar-nav .nav-link.show,
.navbar-light .navbar-nav .nav-link.active,
.navbar-light .navbar-text a,
.navbar-light .navbar-text a:hover,
.navbar-light .navbar-text a:focus {
    color: var(--nav_black);
}

.navbar-light .navbar-nav .nav-link:hover,
.navbar-light .navbar-nav .nav-link:focus {
    color: white;
}

.navbar-light .navbar-nav .nav-link:hover {
    text-decoration: underline;
}

.navbar-light .navbar-nav .show>.nav-link:hover {
    text-decoration: none;
}

.navbar.navbar-expand-lg.navbar-light {
    background-color: var(--smigiel_blue);
}

.navbar-light .navbar-brand.main-page-color {
    color: white;
}

.post {
    border-color: var(--smigiel_orange);
    background-color: white;
}

.post a {
    color: var(--smigiel_orange);
}

.post a.btn-login,
.post a.btn-smigiel,
.post a.btn-download {
    color: white;
}

.btn-primary {
    color: #fff;
    background-color: var(--smigiel_blue);
    border-color: var(--smigiel_blue_dark);
}

.btn-primary:hover {
    color: #fff;
    background-color: var(--smigiel_blue_hover);
}

.btn-primary:focus,
.btn-primary.focus {
    color: #fff;
    background-color: var(--smigiel_blue_hover);
    box-shadow: 0 0 0 0.2rem rgba(82, 161, 225, 0.5);
}

.btn-primary.disabled,
.btn-primary:disabled {
    color: #fff;
    background-color: var(--smigiel_blue);
    border-color: var(--smigiel_blue_dark);
}

.btn-primary:not(:disabled):not(.disabled):active,
.btn-primary:not(:disabled):not(.disabled).active,
.show>.btn-primary.dropdown-toggle {
    color: #fff;
    background-color: #2176bd;
    border-color: #1f6fb2;
}

.btn-primary:not(:disabled):not(.disabled):active:focus,
.btn-primary:not(:disabled):not(.disabled).active:focus,
.show>.btn-primary.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgba(82, 161, 225, 0.5);
}

.btn-smigiel {
    background-color: var(--smigiel_orange);
    color: white;
}

.btn-smigiel:hover {
    color: white;
    text-decoration: underline;
}

.btn-userdash {
    color: var(--smigiel_blue);
    border: 1px solid var(--smigiel_blue_light);
    background-color: white;
    border-radius: 0;
}

.btn-userdash:hover {
    color: var(--smigiel_blue_dark);
}

.btn-chart {
    background-color: #F07C00;
    border-color: #F07C00;
    color: white;
}

.btn-chart:hover {
    color: white;
    text-decoration: underline;
}

.btn-chart a {
    color: white;
}

.btn-success a,
.btn-success a:hover,
.btn-primary a,
.btn-primary a:hover {
    color: white;
}

.search .btn-success {
    background-color: var(--smigiel_blue);
    border-color: var(--smigiel_blue_dark);
}

.search .btn-success:hover {
    background-color: var(--smigiel_blue_hover);
    border-color: var(--smigiel_blue_dark);
}

.search .btn-success:focus,
.search .btn-success.focus {
    background-color: var(--smigiel_blue);
    border-color: var(--smigiel_blue_dark);
    box-shadow: 0 0 0 0.2rem rgba(52, 140, 220, 0.5);
}

.btn-success:not(:disabled):not(.disabled):active:focus,
.btn-success:not(:disabled):not(.disabled).active:focus,
.show>.btn-success.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgba(52, 140, 220, 0.5);
}

.form-control {
    color: #495057;
    background-color: #fff;
    border: 1px solid #ced4da;
}

.form-control:focus {
    color: #495057;
    background-color: #fff;
    border-color: #a1cbef;
    box-shadow: 0 0 0 0.2rem rgba(52, 144, 220, 0.25);
}

.search .form-control {
    border: 1px solid var(--smigiel_blue_dark);
}

.social-buttons .twitter-share {
    background-color: var(--twitter);
    color: var(--white);
}

.social-buttons .facebook-share {
    background-color: var(--facebook);
    color: var(--white);
}

.btn-download {
    color: white;
    background-color: var(--smigiel_orange);
}

.btn-download:focus,
.btn-download:hover {
    color: white;
    background-color: var(--smigiel_orange_hover);
}

.textwidget a {
    color: var(--smigiel_orange);
}

.dash-bar-elem {
    color: black;
    padding-left: .5rem;
    cursor: pointer;
}

.dropdown-item,
.nav-item {
    color: var(--gray-dark);
}

.card-login {
    box-shadow: 2px 2px 10px lightgrey !important;
    background-color: white;
}

.card-login>.card-body {
    border: 1px solid var(--smigiel_orange);
    border-top: unset;
}

.btn-login {
    background-color: var(--smigiel_blue);
    color: var(--white);
}

.btn-login:hover,
.btn-login:focus {
    color: var(--white);
    background-color: var(--smigiel_blue_hover);
    text-decoration: underline;
}

.post-truncate .red-text {
    color: red;
}

.post-truncate .green-text {
    color: green;
}

.post-truncate .blue-text {
    color: blue;
}

.post-truncate .white-text {
    color: white;
}

.post-truncate .black-background {
    background-color: black;
}

.post-truncate .red-background {
    background-color: red;
}

table,
td,
th {
    border-color: darkgrey;
}

tr:nth-child(even) {
    background-color: #e6e6e6;
}

.table-responsive.table-clear tr:nth-child(even) {
    background-color: unset;
}

.invalid-feedback {
    color: #9e342f;
}

.was-validated .form-control:invalid,
.form-control.is-invalid {
    border-color: #9e342f;
}

.was-validated .form-control:invalid:focus,
.form-control.is-invalid:focus {
    border-color: #9e342f;
    box-shadow: 0 0 0 0.2rem #9e342f;
}

.read-more {
    color: var(--smigiel_orange);
}

.attach-item {
    position: relative;
}

.attach-item>.border-attach {
    border-left: 1px solid #47B3F4;
    border-bottom: 1px solid #47B3F4;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 25%;
    height: 75%;
}

.navbar-nav.access-nav .nav-link {
    color: black;
}

@media (max-width: 991px) {
    .dropdown-item {
        border-top: 1px solid lightgray;
    }

    .nav-item {
        border-bottom: 1px solid lightgray;
    }

    .menu-top>.nav-item {
        border-top: unset;
    }

    .attach-item>.border-attach {
        width: 50%;
    }
}

.form-control::placeholder {
    color: #6c757d;
    opacity: 1;
}

.form-control::-webkit-input-placeholder {
    color: #6c757d;
    opacity: 1;
}

.form-control::-moz-placeholder {
    color: #6c757d;
    opacity: 1;
}

.form-control:-ms-input-placeholder {
    color: #6c757d;
    opacity: 1;
}

.form-control::-ms-input-placeholder {
    color: #6c757d;
    opacity: 1;
}

.btn-link {
    font-weight: 400;
    color: var(--smigiel_blue);
    text-align: center;
    vertical-align: middle;
    text-decoration: none;
}

.btn-link:hover {
    color: #1d68a7;
    text-decoration: underline;
}

.btn-link:focus,
.btn-link.focus {
    text-decoration: underline;
    box-shadow: none;
}

.btn-link:disabled,
.btn-link.disabled {
    color: #6c757d;
    pointer-events: none;
}

.close-button {
    color: red;
}

.profile aside {
    background-color: var(--smigiel_orange);
}

.profile aside .dash-bar-elem {
    color: white;
}

.profile aside .dash-bar-elem:hover {
    text-decoration: underline;
}

.profile .navbar-brand {
    border-bottom: 1px solid white;
    width: 100%;
    max-width: -webkit-fill-available;
    max-width: -moz-available;
    color: white;
}

.profile .dash-bar {
    width: 100%;
}

.profile ul.options li:hover {
    background-color: #38b6ff1a;
    padding-left: .75rem;
    font-weight: 600;
    transition: padding-left 500ms;
}

.profile ul.options li>a:focus {
    padding-left: 1rem;
    font-weight: 600;
}

.user-header {
    background-color: #A9A9A9;
    border-radius: 20px;
}

.user_invoice {
    border-bottom: 1px solid rgba(0, 0, 0, 0.2);
}

.profile_desktop {
    -webkit-box-shadow: 0px 2px 2px 1px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0px 2px 2px 1px rgba(0, 0, 0, 0.2);
    box-shadow: 0px 2px 2px 1px rgba(0, 0, 0, 0.2);
    background-color: white;
}

.profile_desktop_header {
    border-bottom: 1px solid rgba(0, 0, 0, 0.3);
    background-color: rgba(0, 0, 0, 0.1);
}

.header-user-blue {
    background-color: var(--smigiel_blue);
    color: white;
}

.heading {
    color: white;
}

.water h2.brd-y {
    border-bottom: 1px solid rgba(0, 0, 0, 0.2);
    border-top: 1px solid rgba(0, 0, 0, 0.2);
}

.user_manual {
    color: rgba(0, 0, 0, 0.5);
}

.sidebar-headline {
    background-color: var(--smigiel_orange);
    color: white;
}

.footer {
    background-color: var(--smigiel_blue_dark);
    color: white;
}

.chart_box {
    background-color: white;
}

.btm-border {
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

.dropdown-divider {
    border-top: 1px solid #e9ecef;
}

.shortcut h5 {
    color: var(--smigiel_blue);
}

.shortcut p {
    color: black;
}

.shortcut a:hover {
    text-decoration: unset;
}

.shortcut a:hover .fas,
.shortcut a:hover .far {
    color: var(--smigiel_orange_hover);
}

.wcag-menu a:focus {
    background-color: white;
    color: var(--smigiel_orange);
    font-size: 2rem;
    padding: .5rem  1rem;
}